Package: jekyll / 2.2.0+dfsg-2

0002-Drop-RubyGems-Depends.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
From: Debian Ruby Extras Maintainers
 <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Date: Fri, 2 May 2014 15:38:28 +0900
Subject: Drop RubyGems Depends

---
 lib/jekyll.rb  | 3 ---
 test/helper.rb | 3 +--
 test/suite.rb  | 2 --
 3 files changed, 1 insertion(+), 7 deletions(-)

diff --git a/lib/jekyll.rb b/lib/jekyll.rb
index a2a97ba..a81ca7d 100644
--- a/lib/jekyll.rb
+++ b/lib/jekyll.rb
@@ -12,9 +12,6 @@ def require_all(path)
   end
 end
 
-# rubygems
-require 'rubygems'
-
 # stdlib
 require 'fileutils'
 require 'time'
diff --git a/test/helper.rb b/test/helper.rb
index 00f83a5..0e794a2 100644
--- a/test/helper.rb
+++ b/test/helper.rb
@@ -1,7 +1,6 @@
-require 'rubygems'
 require 'test/unit'
 require 'ostruct'
-gem 'RedCloth', '>= 4.2.1'
+require 'redcloth'
 
 require 'jekyll'
 
diff --git a/test/suite.rb b/test/suite.rb
index 81b6171..60b2f56 100644
--- a/test/suite.rb
+++ b/test/suite.rb
@@ -1,5 +1,3 @@
-require 'rubygems'
-gem 'test-unit'
 require 'test/unit'
 
 # for some reason these tests fail when run via TextMate